import QtQuick 2.7
import QtQuick.Window 2.12
import QtQuick.Controls 2.5
import QtQuick.Dialogs 1.2

Window {
    visible: true
    width: 640
    height: 480
    title: qsTr("Hello World")

    property string defaultDirPath: "";
    property string dirPath: ""

    Column{
        anchors.centerIn: parent
        Button{
            text: "open dialog"
            onClicked: {
                if(dirPath === ""){
                    defaultDirPath = "file://" + controller.getDesktopPath();
                    dirPath = defaultDirPath;
                }
                fileDialog.folder = dirPath;
                fileDialog.open();
            }
        }
        spacing: 10
        Button{
            text: "set desktop"
            onClicked: {
                dirPath = defaultDirPath;
                console.log(defaultDirPath)

            }
        }
    }

    FileDialog {
        id: fileDialog
        selectFolder: true
        selectMultiple: false
        nameFilters: ""
        onAccepted: {
            fileDialog.close();
            dirPath = fileDialog.fileUrl;
        }
        onRejected: {
            fileDialog.close();
        }
    }
}
